using System;
using System.Collections.Generic;

namespace ConsoleApp1
{
    class Program
    {

        static bool DaLiJeSortirana(List<int> pomocna)
        {
            bool p = true;
            for (int i = pomocna.Count - 1; i > 0; i--)
            {
                if (pomocna[i] < pomocna[i - 1]) { p = false; }
            }
            return p;
        }

        static void DA_NE (List<int> lista)
        {
            int zastava = 1;
            List<int> pomocna = lista;

            if(!DaLiJeSortirana(pomocna)) { zastava = 0; }

            for (int j = 0; j < lista.Count; j++)
            {
                pomocna.RemoveAt(j);
                if (DaLiJeSortirana(pomocna)) { zastava = 1; }
                else zastava = 0;
                pomocna = lista;
            }
            if (zastava == 1) { Console.WriteLine("DA"); }
            else Console.WriteLine("NE");
        }

        static void Main(string[] args)
        {
            
            int n = int.Parse(Console.ReadLine());
            Console.WriteLine("-----------------");
            string[] unos = Console.ReadLine().Split();
            int[] niz = new int[n];
            for(int i = 0; i < n; i++) { niz[i] = int.Parse(unos[i]); }
            Console.WriteLine("-----------------");
            int q = int.Parse(Console.ReadLine());
            Console.WriteLine("-----------------");
            int [] nizic1 = new int[q];
            int[] nizic2 = new int[q];            
            for(int i = 0; i < q; i++)
            {
                unos = Console.ReadLine().Split();
                Console.WriteLine("--------");
                nizic1[i] = int.Parse(unos[0]);
                nizic2[i] = int.Parse(unos[1]);
            }
            Console.WriteLine("-----------------");
            for (int i = 0; i < q; i++)
            {
                List<int> pomocna = new List<int>();
                for(int j = nizic1[i]-1; j < nizic2[i]; j++)
                {
                    pomocna.Add(niz[j]);
                   /* foreach (int a in pomocna)
                    {
                        Console.WriteLine(a);
                    }*/                    
                }
                DA_NE(pomocna);
            }
            Console.ReadKey();


        }
    }
}